package cc.smtweb.biz.mztb.web;

import cc.smtweb.biz.mztb.web.base.noLogin.MztbNoLogin;
import cc.smtweb.framework.core.annotation.SwStartListener;
import cc.smtweb.framework.core.common.SwConsts;
import cc.smtweb.framework.core.mvc.controller.IStartListener;
import cc.smtweb.framework.core.session.SessionUtil;

/**
 * Created by Akmm at 2022/7/8 19:57
 */
@SwStartListener()
public class MztbStartedListener implements IStartListener {

    @Override
    public double versionTo() {
        return 0.001;
    }
    @Override
    public int order() {
        return SwConsts.DEFAULT_ORDER + 10;
    }

    @Override
    public void init() {
        SwConsts.SysParam.RUN_PROJECTS = "bpm,mztb";
        SwConsts.SysParam.SYS_DEBUG = false;
        SwConsts.SysParam.ENABLE_TRANSPORT_ENCRYPT =false;
        SessionUtil.addNoLoginUri("/api/*");

    }

    @Override
    public void run() {

    }

    @Override
    public void close() {

    }
}
